[![forthebadge](http://forthebadge.com/images/badges/ages-12.svg)](http://apiato.io)

# Apiato

<h3 align="center">Build scalable API's faster | With PHP 7.4 and Laravel 7</h3>

<p align="center">
   <img src="https://github.com/apiato/documentation/blob/master/images/apiato-icon-medium.png" alt="Apiato Logo"/>
</p>

[![apiato](https://img.shields.io/badge/Status-Awesome-brightgreen.svg)](https://github.com/apiato/apiato)
[![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/apiato/apiato/badges/quality-score.png?b=master)](https://scrutinizer-ci.com/g/apiato/apiato/?branch=master)
[![Codacy Badge](https://api.codacy.com/project/badge/Grade/ce8fed7f8fcd492ebbe5ef0fb36c0a9a)](https://www.codacy.com/app/mahmoudz/apiato?utm_source=github.com&utm_medium=referral&utm_content=apiato/apiato&utm_campaign=badger)
[![Build Status](https://scrutinizer-ci.com/g/apiato/apiato/badges/build.png?b=master)](https://scrutinizer-ci.com/g/apiato/apiato/build-status/master)
[![Build Status](https://travis-ci.org/apiato/apiato.svg?branch=master)](https://travis-ci.org/apiato/apiato)
[![Latest Stable Version](https://poser.pugx.org/apiato/apiato/v/stable)](https://packagist.org/packages/apiato/apiato)
[![Backers on Open Collective](https://opencollective.com/apiato/backers/badge.svg)](#backers) 
[![Sponsors on Open Collective](https://opencollective.com/apiato/sponsors/badge.svg)](#sponsors)
[![License](https://poser.pugx.org/apiato/apiato/license)](https://packagist.org/packages/apiato/apiato)

<a name="Introduction"></a>

**Apiato** is a framework for building scalable and testable API-Centric Applications with PHP, build on top of Laravel.
      
It is designed to help you build scalable API's faster, by providing tools and functionalities that facilitates the development of any API-Centric App.

Apiato uses the best frameworks, tools and conventions in a very creative way, to deliver a rich set of features for a modern PHP Application.

**Why!?** Because setting up a solid API from scratch is time consuming (and of course, time is money!). 
Apiato gives you the core features of robust API's fully documented, for free; so you can focus on writing your business logic, thus deliver faster to your clients.

<details>
    <summary>Why API-Centric Apps?</summary>
  
    Today we’re living in a digital era, where almost everything is connected to the Internet.
    
    Building cross-devices applications is becoming a must. And to do it, you need APIs (Application Programing Interfaces).
    
    Web developers are used to serve HTML pages directly from the Backend. However, this traditional method has many disadvantages nowadays.
    
    API's can serve anything and everything (Mobile Apps, Web Apps, Smart TVs, Smart Watches,...).
    As well as, it can be exposed to the world allowing developers to interact with your Application and help growing your business.
    
    API-Centric Apps allows Frontend (Web + Mobile) and Backend developers to work on their codes in parallel. 
    After the Frontend Apps are ready they get attached to the Backend (API-Centric) code to start functioning. 
    This leads to zero decoupling between the Frontend and the Backend code and also removes the dependencies. 
    The API documentation acts as the contract between both sides during the development life cycle of all the Apps.

</details>

<a name="Features"></a>
## Features

> Apiato comes with an amazing list of features.

<img src="https://github.com/apiato/documentation/blob/master/images/features.png" alt="Apiato Features"/>


<a name="Documentation"></a>
## Documentation

**Apiato** is built using the new architectural pattern **[Porto](https://github.com/Mahmoudz/Porto)**.
> **Porto SAP** is a modern Software Architectural Pattern, designed to help developers organize their Code in a super maintainable way. It is very helpful for big and long term projects, as they tend to have higher complexity with time.

It's completely **optional** to build your application using the Porto architecture.
Alternatively, you can build it using the [MVC](http://docs.apiato.io/getting-started/architecture/#mvc-introduction) architecture, and still benefit from all the features of Apiato.

<br>

<p align="center">
	<a href="http://docs.apiato.io/">
	   <img src="https://github.com/apiato/documentation/blob/master/images/documentation-button.png" width=350px" alt="Apiato Docs"/>
	</a>
</p>

---

<p align="center">Join our Slack chatting room, by clicking on the icon below.</p>

<p align="center">
	<a href="https://slackin-mezlsumyvc.now.sh/">
	   <img src="https://s19.postimg.cc/h7pvzy9ar/Slack-i_OS-icon.png" alt="Apiato SLACK"/>
	</a>
</p>

<a name="Contributors"></a>

## Contributing

Feel free to dive in! Fix open [Issues](https://github.com/apiato/apiato/issues/) and submit new [features](https://github.com/apiato/apiato/pulls?q=is%3Apr+is%3Aopen+sort%3Aupdated-desc).
<br>
Make sure you check our [contribution guide](http://docs.apiato.io/miscellaneous/contribution/) before getting started.
<br>
Apiato follows the [Contributor Covenant](https://www.contributor-covenant.org/version/1/4/code-of-conduct) Code of Conduct.


### Awesome People
Apiato exists thanks to all the people who contribute.

<table>
  <tbody>
     <tr>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/mahmoudz.png?s=150">
            <br>
            <strong>Mahmoud Zalt</strong>
            <br>
            <a href="https://github.com/Mahmoudz">@mahmoudz</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/johannesschobel.png?s=150">
            <br>
            <strong> Johannes Schobel </strong>
            <br>
            <a href="https://github.com/johannesschobel">@johannesschobel</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/llstarscreamll.png?s=150">
            <br>
            <strong>Johan Alvarez</strong>
            <br>
            <a href="https://github.com/llstarscreamll">@llstarscreamll</a>
        </td>
               <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/zmaren.png?s=150">
            <br>
            <strong>Zeljko Marenovic</strong>
            <br>
            <a href="https://github.com/zmaren">@zmaren</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/rdehnhardt.png?s=150">
            <br>
            <strong>Renato Dehnhardt</strong>
            <br>
            <a href="https://github.com/rdehnhardt">@rdehnhardt</a>
        </td>
     </tr>
     <tr>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/JulianBustamante.png?s=150">
            <br>
            <strong>Julián Bustamante</strong>
            <br>
            <a href="https://github.com/JulianBustamante">@JulianBustamante</a>
        </td>
       <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/Te7a-Houdini.png?s=150">
            <br>
            <strong>Ahmed Abd El-Ftah</strong>
            <br>
            <a href="https://github.com/Te7a-Houdini">@Te7a-Houdini</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/fwidm.png?s=150">
            <br>
            <strong>FWidm</strong>
            <br>
            <a href="https://github.com/FWidm">@FWidm</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/lloricode.png?s=150">
            <br>
            <strong>Lloric Mayuga Garcia</strong>
            <br>
            <a href="https://github.com/lloricode">@lloricode</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/jlorente.png?s=150">
            <br>
            <strong>Pepe</strong>
            <br>
            <a href="https://github.com/jlorente">@jlorente</a>
        </td>
     </tr>
	  <tr>    
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/deviouspk.png?s=150">
            <br>
            <strong>Arthur Vandenberghe</strong>
            <br>
            <a href="https://github.com/deviouspk">@deviouspk</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/hz61p1.png?s=150">
            <br>
            <strong>Null HZ61 P1</strong>
            <br>
            <a href="https://github.com/hz61p1">@hz61p1</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/Kyslik.png?s=150">
            <br>
            <strong>Martin Kiesel</strong>
            <br>
            <a href="https://github.com/Kyslik">@Kyslik</a>
        </td>
         <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/shalawani.png?s=150">
            <br>
            <strong>Samer Halawani</strong>
            <br>
            <a href="https://github.com/shalawani">@shalawani</a>
        </td>
        <td align="center" valign="top">
            <img width="125" height="125" src="https://github.com/apiato/documentation/blob/master/images/join-us.png">
            <br>
            <strong>< Join Us ></strong>
            <br>
            <a href="https://github.com/apiato">@apiato</a>
        </td>
	  </tr>
  </tbody>
</table>


### Code Contributors

<a href="https://github.com/apiato/apiato/graphs/contributors"><img src="https://opencollective.com/apiato/contributors.svg?width=890" /></a>


### Financial Support

Help us sustain the project.

<b>Option 1:</b> Donate via [Paypal](https://paypal.me/mzmmzz).
<br>
<b>Option 2:</b> Become a [Github Sponsors](https://github.com/sponsors/Mahmoudz).
<br>
<b>Option 3:</b> Become a Sponsor/Backer via [Open Collective](https://opencollective.com/apiato/contribute).
<br>
<b>Option 4:</b> Become a [Patreon](https://www.patreon.com/zalt).

<a name="Sponsors"></a>
## Sponsors

<a href="https://opencollective.com/apiato/sponsor/0/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/0/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/1/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/1/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/2/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/2/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/3/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/3/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/4/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/4/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/5/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/5/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/6/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/6/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/7/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/7/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/8/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/8/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/9/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/9/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/10/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/10/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/11/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/11/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/12/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/12/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/13/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/13/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/14/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/14/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/15/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/15/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/16/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/16/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/17/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/17/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/18/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/18/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/19/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/19/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/20/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/20/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/21/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/21/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/22/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/22/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/23/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/23/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/24/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/24/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/25/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/25/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/26/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/26/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/27/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/27/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/28/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/28/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/29/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/29/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/30/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/30/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/31/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/31/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/32/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/32/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/33/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/33/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/34/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/34/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/35/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/35/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/36/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/36/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/37/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/37/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/38/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/38/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/39/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/39/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/40/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/40/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/41/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/41/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/42/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/42/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/43/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/43/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/44/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/44/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/45/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/45/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/46/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/46/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/47/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/47/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/48/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/48/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/sponsor/49/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/sponsor/49/avatar.svg?requireActive=false"></a>

Sponsor Apiato with your [organization](https://opencollective.com/apiato/contribute/).
<br>
Your logo will show up on the [github repository](https://github.com/apiato/apiato/) index page and the [documentation](http://apiato.io/) main page.
<br>
For more info contact <a href = "mailto: support@apiato.io">support@apiato.io</a>.

<a name="Backers"></a>
## Backers

<a href="https://opencollective.com/apiato/backer/0/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/0/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/1/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/1/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/2/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/2/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/3/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/3/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/4/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/4/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/5/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/5/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/6/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/6/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/7/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/7/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/8/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/8/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/9/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/9/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/10/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/10/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/11/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/11/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/12/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/12/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/13/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/13/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/14/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/14/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/15/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/15/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/16/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/16/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/17/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/17/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/18/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/18/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/19/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/19/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/20/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/20/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/21/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/21/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/22/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/22/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/23/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/23/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/24/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/24/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/25/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/25/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/26/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/26/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/27/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/27/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/28/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/28/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/29/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/29/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/30/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/30/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/31/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/31/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/32/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/32/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/33/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/33/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/34/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/34/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/35/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/35/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/36/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/36/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/37/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/37/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/38/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/38/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/39/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/39/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/40/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/40/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/41/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/41/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/42/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/42/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/43/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/43/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/44/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/44/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/45/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/45/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/46/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/46/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/47/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/47/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/48/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/48/avatar.svg?requireActive=false"></a>
<a href="https://opencollective.com/apiato/backer/49/website?requireActive=false" target="_blank"><img src="https://opencollective.com/apiato/backer/49/avatar.svg?requireActive=false"></a>


<a name="License"></a>
## License

[MIT](https://github.com/apiato/apiato/blob/master/LICENSE) © Mahmoud Zalt
